## lcgdm 1.8.10

=== bin/Makefile ===
#
#  Copyright (C) 1997-2002 by CERN/IT/PDP/DM
#  All rights reserved
#

#  Default rules for Make          Linux

CC += -g -fPIC -D_LARGEFILE64_SOURCE
MTCCFLAGS = -pthread -DCTHREAD_LINUX -D_THREAD_SAFE -D_REENTRANT
MTLDLIBS =
MTLDFLAGS = -pthread
SHLIBLDFLAGS = -shared
SHLIBREQLIBS = -lc -lpthread

FC = g77

ACCTFLAG=-DSACCT

BIN = /opt/lcg/bin

CP = cp
LD = cc
LN = ln

RANLIB = ranlib

SHELL = /bin/sh

INCLUDES = ../../../h

LIBS = -L../../../shlib -llfc -lshift $(ADNSLIB) -lnsl -luuid -lCsec -ldl

PROGS = migrate_path migrate_files

CFLAGS = -I$(INCLUDES)

DEPLIBS = ../../../ns/libns.a

all: $(PROGS)

migrate_path: migrate_path.o $(DEPLIBS)
	$(LD) -o $@ $(LDFLAGS) migrate_path.o $(LIBS)
migrate_files: migrate_files.o $(DEPLIBS)
	$(LD) -o $@ $(LDFLAGS) migrate_files.o $(LIBS)

../../../ns/libns.a:	FORCE
	cd ../../../ns ; $(MAKE) libns.a

clean:
	-@$(RM) -f *.o *.a *.so ,* .es1 core

clobber:        clean
	-@$(RM) -f $(PROGS)

depend:
	makedepend -Y$(INCLUDES) *.c 2> /dev/null

Makefiles:

FORCE:

####################### DEPENDENCIES ##########################

# DO NOT DELETE THIS LINE -- make  depend  depends  on  it.
