=== scripts/Migration-LFC-MySQL-Oracle/src/Makefile ===
CC=g++
MIGRATE_LFC_HOME=/root/migration_ora_test/LCG-DM/scripts/Migration-LFC-MySQL-Oracle
IDIR=$(MIGRATE_LFC_HOME)/include
ORA_INSTANTINCL=/afs/cern.ch/project/oracle/instantclient/10.2.0.3/slc4_ia32_gcc34/sdk/include
MYSQL_HOME=/usr/include/mysql
INCL=-I$(IDIR) -I$(ORA_INSTANTINCL) -I$(MYSQL_HOME)
SOURCE_FILE=$(MIGRATE_LFC_HOME)/src
OUTDIR=$(MIGRATE_LFC_HOME)/output
ORA_LIBS=/afs/cern.ch/project/oracle/@sys/10203/lib
MYSQL_LIBS=/usr/lib/mysql
RANLIB = ranlib
SO_EXT=.so
MKLINK= ln -s

ICLIBPATH=-L$(ORA_LIBS) -L$(MYSQL_LIBS)
THREADLIBS= -lpthread
CCLIB=$(ICLIBPATH) -locci -lclntsh -lmysqlclient $(THREADLIBS)

CFLAGS=$(FLAGS)  -g 

OBJS = MigrateLFC.o getError.o MigrationStmt.o Ora_GetMetadataInfo.o mysql_info.o


$(OUTDIR)/MigrateLFC: $(OBJS) $(ORA_LIBS)/libclntsh$(SO_EXT) $(ORA_LIBS)/libocci$(SO_EXT) $(MYSQL_LIBS)/libmysqlclient$(SO_EXT)

	g++ -o $(OUTDIR)/MigrateLFC   $(OBJS) $(CCLIB)



getError.o:getError.cpp $(IDIR)/getError.h 
	$(CC) $(CFLAGS) $(INCL) -o getError.o  -c  getError.cpp

Ora_GetMetadataInfo.o:Ora_GetMetadataInfo.cpp  $(IDIR)/getError.h  $(IDIR)/Ora_GetMetadataInfo.h  
	$(CC) $(CFLAGS) $(INCL) -o Ora_GetMetadataInfo.o  -c Ora_GetMetadataInfo.cpp  

mysql_info.o:mysql_info.cpp $(IDIR)/getError.h $(IDIR)/mysql_info.h 
	$(CC) $(CFLAGS)  $(INCL) -o mysql_info.o  -c  mysql_info.cpp

MigrationStmt.o:MigrationStmt.cpp $(IDIR)/MigrationStmt.h 
	$(CC) $(CFLAGS)  $(INCL) -o MigrationStmt.o  -c  MigrationStmt.cpp

MigrateLFC.o:MigrateLFC.cpp $(IDIR)/MigrationStmt.h 
	$(CC) $(CFLAGS)  $(INCL) -o MigrateLFC.o  -c  MigrateLFC.cpp



clean:
	-rm -f *.o
