=== debian/changelog ===
lcgdm (1.8.10-1build3) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:27:17 +0000

lcgdm (1.8.10-1build2) xenial; urgency=medium

  * No-change rebuild for gsoap transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 07:23:22 +0000

lcgdm (1.8.10-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 01:19:12 +0000

lcgdm (1.8.10-1) unstable; urgency=medium

  * Update to version 1.8.10
  * Implement Multi-Arch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Dec 2015 06:07:13 +0100
