=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_initrddir = $(_sysconfdir)/init.d
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc
_archlib = $(shell perl -MConfig -e 'print $$Config{vendorarch}')

VERSION=1.8.10

configure: configure-stamp

configure-stamp:
	dh_testdir

	chmod 644 security/globus_gsi_gss_constants.h \
		  security/globus_i_gsi_credential.h \
		  security/gssapi_openssl.h
	chmod 644 doc/lfc/INSTALL-*

	# LFC with mysql backend

	mkdir lfc-mysql
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test lfc-mysql

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i lfc-mysql/config/linux.cf

	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
	    -i lfc-mysql/common/Imakefile

	cd lfc-mysql && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure lfc --with-mysql \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/NSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i lfc-mysql/config/site.def

	cd lfc-mysql && \
	make -f Makefile.ini Makefiles

	# LFC with postgres backend

	mkdir lfc-postgres
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test lfc-postgres

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i lfc-postgres/config/linux.cf

	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
	    -i lfc-postgres/common/Imakefile

	cd lfc-postgres && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure lfc --with-postgres \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/NSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i lfc-postgres/config/site.def

	sed -e 's/\(BuildDLI	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -i lfc-postgres/config/site.def
	sed '/^\#define.*YES/d' -i lfc-postgres/config/Project.tmpl \
				   lfc-postgres/config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i lfc-postgres/config/Project.tmpl
	sed 's/\(install:\).*/\1/' -i lfc-postgres/h/Imakefile

	cd lfc-postgres && \
	make -f Makefile.ini Makefiles

	# DPM with mysql backend

	mkdir dpm-mysql
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test dpm-mysql

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i dpm-mysql/config/linux.cf

	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
	    -i dpm-mysql/common/Imakefile

	cd dpm-mysql && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-mysql \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i dpm-mysql/config/site.def

	sed -e '/^SECURITYDIR =/d' \
	    -e '/^COMMONDIR =/d' -i dpm-mysql/config/Project.tmpl
	sed -e 's/:.*(lcgdm).*/:/' -i dpm-mysql/lib/Imakefile
	sed -e 's/:.*(lcgdm).*/:/' -i dpm-mysql/shlib/Imakefile

	cd dpm-mysql && \
	make -f Makefile.ini Makefiles

	# DPM with postgres backend

	mkdir dpm-postgres
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test dpm-postgres

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i dpm-postgres/config/linux.cf

	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
	    -i dpm-postgres/common/Imakefile

	cd dpm-postgres && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-postgres \
		--libdir=\'lib/$(DEB_HOST_MULTIARCH)\' \
		--with-gsoap-version=$$gsoapversion \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i dpm-postgres/config/site.def

	sed -e 's/\(BuildDPMClient	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioClient	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioServer	*\)YES/\1NO/' \
	    -i dpm-postgres/config/site.def
	sed '/^\#define.*YES/d' -i dpm-postgres/config/Project.tmpl \
				-i dpm-postgres/config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i dpm-postgres/config/Project.tmpl
	sed 's/\(install:\).*/\1/' -i dpm-postgres/h/Imakefile

	cd dpm-postgres && \
	make -f Makefile.ini Makefiles

	touch $@

build: build-indep build-arch

build-indep: build-stamp

build-arch: build-stamp

build-stamp: configure-stamp
	dh_testdir

	cd lfc-mysql && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"

	cd lfc-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
	cd lfc-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblfc.so* .

	cd lfc-postgres && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs" \
		POSINC=-I/usr/include/postgresql

	cd dpm-mysql/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .

	cd dpm-mysql && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"

	cd dpm-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
	cd dpm-postgres/shlib && ln -s ../../dpm-mysql/shlib/libdpm.so* .

	cd dpm-postgres && \
